mixed-port: 7890
allow-lan: true
mode: rule
log-level: warning
external-controller: '[::]:9090'
proxy-providers:
  AirportShandianProAll:
    type: http
    path: ./providers/proxy/AirportShandianProAll.yaml
    url: "https://hproxy.likezgq.top/api/convert?url=https://times1732002366.subxiandan.top:9604/v2b/shandian/api/v1/client/subscribe?token=fdee6024ef338b23b9012eb748030d1c"
    interval: 1800
    health-check:
      enable: true
      url: http://www.gstatic.com/generate_204
      interval: 300
  AirportShandianProForegin:
    type: http
    path: ./providers/proxy/AirportShandianProForegin.yaml
    url: "https://hproxy.likezgq.top/api/convert?url=https://times1732002366.subxiandan.top:9604/v2b/shandian/api/v1/client/subscribe?token=fdee6024ef338b23b9012eb748030d1c"
    interval: 1800
    health-check:
      enable: true
      url: http://www.gstatic.com/generate_204
      interval: 300
  AirportShandianProAmerica:
    type: http
    path: ./providers/proxy/AirportShandianProAmerica.yaml
    url: "https://hproxy.likezgq.top/api/convert?url=https://times1732002366.subxiandan.top:9604/v2b/shandian/api/v1/client/subscribe?token=fdee6024ef338b23b9012eb748030d1c"
    interval: 1800
    filter: '美国'
    health-check:
      enable: true
      url: http://www.gstatic.com/generate_204
      interval: 300
  AirportShandianProJapan:
    type: http
    path: ./providers/proxy/AirportShandianProJapan.yaml
    url: "https://hproxy.likezgq.top/api/convert?url=https://times1732002366.subxiandan.top:9604/v2b/shandian/api/v1/client/subscribe?token=fdee6024ef338b23b9012eb748030d1c"
    interval: 1800
    filter: '日本'
    health-check:
      enable: true
      url: http://www.gstatic.com/generate_204
      interval: 300
  AirportShandianProTaiwan:
    type: http
    path: ./providers/proxy/AirportShandianProJapan.yaml
    url: "https://hproxy.likezgq.top/api/convert?url=https://b88c32b7-e6db-4dc8-b44f-a13e5160f674.shandiannginx.com/api/v1/client/subscribe?token=a629ecf09cd5408c12610a8171085d7c"
    interval: 1800
    filter: '台湾'
    health-check:
      enable: true
      url: http://www.gstatic.com/generate_204
      interval: 300
  AirportShandianProSingapore:
    type: http
    path: ./providers/proxy/AirportShandianProSingapore.yaml
    url: "https://hproxy.likezgq.top/api/convert?url=https://times1732002366.subxiandan.top:9604/v2b/shandian/api/v1/client/subscribe?token=fdee6024ef338b23b9012eb748030d1c"
    interval: 1800
    filter: '新加坡'
    health-check:
      enable: true
      url: http://www.gstatic.com/generate_204
      interval: 300
  AirportShandianProHongkong:
    type: http
    path: ./providers/proxy/AirportShandianProHongkong.yaml
    url: "https://hproxy.likezgq.top/api/convert?url=https://times1732002366.subxiandan.top:9604/v2b/shandian/api/v1/client/subscribe?token=fdee6024ef338b23b9012eb748030d1c"
    interval: 1800
    filter: '香港'
    health-check:
      enable: true
      url: http://www.gstatic.com/generate_204
      interval: 300
proxies:
  - name: "router_local_reality"
    type: socks5
    server: 192.168.11.13
    port: 7891
  - name: "router_local_reality2"
    type: socks5
    server: 192.168.11.113
    port: 7891
  - name: "vmess_cfws_likezgq"
    type: vmess
    server: 172.64.93.84
    port: 8080
    uuid: e3a45881-f11b-42da-b0d0-4f1f57c5d57b
    alterId: 0
    cipher: none
    skip-cert-verify: true
    network: ws
    ws-opts:
      headers:
        Host: cfws.likezgq.top
      path: /ws
  - name: "vmess_cfws_tls_likezgq"
    type: vmess
    server: 104.16.29.191
    port: 2053
    uuid: a226be6c-2b1c-49c3-ad6b-f5857704f003
    alterId: 0
    cipher: none
    tls: true
    skip-cert-verify: true
    network: ws
    tls-hostname: cftls.likezgq.top
    ws-opts:
      headers:
        Host: cftls.likezgq.top
      path: /tls
  # vless://3e7dab20-a75f-4da0-a338-6bc5d5b6d0c1@dmit01.likezgq.top:2053?type=ws&encryption=none&path=%2Fws&host=dmcf.likezgq.top&security=tls&fp=chrome&alpn=h2%2Chttp%2F1.1&sni=dmcf.likezgq.top#vless%2Bwebsocket-ifnkvalb
  - name: "vless_likezgq_dmcf"
    type: vless
    server: dmit01.likezgq.top
    port: 2053
    uuid: 3e7dab20-a75f-4da0-a338-6bc5d5b6d0c1
    network: ws
    skip-cert-verify: true
    tls: true
    tls-hostname: dmcf.likezgq.top # for TLS SNI
    ws-opts:
      headers:
        Host: dmcf.likezgq.top
      path: /ws
proxy-groups:
  - name: SB_LOWEST_DELAY1
    type: url-test
    url: http://www.gstatic.com/generate_204
    interval: 150
    tolerance: 30
    proxies:
      - "vmess_cfws_likezgq"
      - "vmess_cfws_tls_likezgq"
      - "vless_likezgq_dmcf"
      - "router_local_reality"
      - "router_local_reality2"
  - name: SB_SELECTED
    type: select
    proxies:
      - SB_LOWEST_DELAY1
      - "vmess_cfws_tls_likezgq"
      - "vmess_cfws_likezgq"
      - "vless_likezgq_dmcf"
      - "router_local_reality"
      - "router_local_reality2"
  - name: GPT_LOWEST_DELAY1
    type: url-test
    url: https://github.com
    interval: 150
    tolerance: 30
    use:
      - AirportShandianProTaiwan
      - AirportShandianProSingapore
  - name: GPT_SELECTED
    type: select
    proxies:
      - GPT_LOWEST_DELAY1
      - SB_SELECTED
      - PG_AMERICA
  - name: GOOGLE_SELECTED
    type: select
    proxies:
      - GPT_SELECTED
      - SB_SELECTED
      - PG_AMERICA
  - name: REDDIT_SELECTED
    type: select
    proxies:
      - PROXY
      - SB_SELECTED
      - PG_JAPAN
      - PG_AMERICA
      - PG_TAIWAN
  - name: YOUTUBE_SELECTED
    type: select
    proxies:
      - LOWEST_DELAY1
      - SB_LOWEST_DELAY1
      - SB_SELECTED
  - name: LOWEST_DELAY1
    type: url-test
    url: http://www.gstatic.com/generate_204
    interval: 150
    tolerance: 50
    use:
      - AirportShandianProHongkong
    proxies:
  - name: LOWEST_DELAY2
    type: url-test
    url: http://www.gstatic.com/generate_204
    interval: 250
    tolerance: 30
    use:
      - AirportShandianProHongkong
    proxies:
  - name: LOWEST_LOAD_BALANCE
    type: load-balance
    strategy: consistent-hashing
    url: 'http://www.google.com/generate_204'
    interval: 180
    proxies:
      - LOWEST_DELAY1
      - LOWEST_DELAY2
  - name: PROXY_DELAY
    type: url-test
    url: http://www.gstatic.com/generate_204
    interval: 150
    proxies:
      - LOWEST_LOAD_BALANCE
      - SB_SELECTED
  - name: PROXY
    type: select
    proxies:
      - PROXY_DELAY
      - LOWEST_LOAD_BALANCE
      - GPT_SELECTED
      - SB_SELECTED
  - name: PG_AMERICA
    type: url-test
    url: http://www.gstatic.com/generate_204
    interval: 300
    use:
      - AirportShandianProAmerica
    proxies:
      - SB_SELECTED
  - name: PG_JAPAN_DELAY
    type: url-test
    url: http://www.gstatic.com/generate_204
    interval: 300
    use:
      - AirportShandianProJapan
  - name: PG_JAPAN
    type: select
    proxies:
      - PG_JAPAN_DELAY
      - SB_SELECTED
  - name: PG_TAIWAN
    type: url-test
    url: http://www.gstatic.com/generate_204
    interval: 300
    use:
      - AirportShandianProTaiwan
  - name: PG_SINGLEAPORE
    type: url-test
    url: http://www.gstatic.com/generate_204
    interval: 300
    use:
      - AirportShandianProSingapore
  - name: PG_COLOR
    type: select
    use:
      - AirportShandianProJapan
      - AirportShandianProTaiwan
      - AirportShandianProSingapore
    proxies:
      - PROXY
rule-providers:
  reject:
    type: http
    behavior: domain
    url: "https://fastly.jsdelivr.net/gh/Loyalsoldier/clash-rules@release/reject.txt"
    path: ./ruleset/reject.yaml
    interval: 86400
  icloud:
    type: http
    behavior: domain
    url: "https://fastly.jsdelivr.net/gh/Loyalsoldier/clash-rules@release/icloud.txt"
    path: ./ruleset/icloud.yaml
    interval: 86400
  apple:
    type: http
    behavior: domain
    url: "https://fastly.jsdelivr.net/gh/Loyalsoldier/clash-rules@release/apple.txt"
    path: ./ruleset/apple.yaml
    interval: 86400
  google:
    type: http
    behavior: domain
    url: "https://fastly.jsdelivr.net/gh/Loyalsoldier/clash-rules@release/google.txt"
    path: ./ruleset/google.yaml
    interval: 86400
  proxy:
    type: http
    behavior: domain
    url: "https://fastly.jsdelivr.net/gh/Loyalsoldier/clash-rules@release/proxy.txt"
    path: ./ruleset/proxy.yaml
    interval: 86400
  direct:
    type: http
    behavior: domain
    url: "https://fastly.jsdelivr.net/gh/Loyalsoldier/clash-rules@release/direct.txt"
    path: ./ruleset/direct.yaml
    interval: 86400
  private:
    type: http
    behavior: domain
    url: "https://fastly.jsdelivr.net/gh/Loyalsoldier/clash-rules@release/private.txt"
    path: ./ruleset/private.yaml
    interval: 86400
  tld-not-cn:
    type: http
    behavior: domain
    url: "https://fastly.jsdelivr.net/gh/Loyalsoldier/clash-rules@release/tld-not-cn.txt"
    path: ./ruleset/tld-not-cn.yaml
    interval: 86400
  telegramcidr:
    type: http
    behavior: ipcidr
    url: "https://fastly.jsdelivr.net/gh/Loyalsoldier/clash-rules@release/telegramcidr.txt"
    path: ./ruleset/telegramcidr.yaml
    interval: 86400
  cncidr:
    type: http
    behavior: ipcidr
    url: "https://fastly.jsdelivr.net/gh/Loyalsoldier/clash-rules@release/cncidr.txt"
    path: ./ruleset/cncidr.yaml
    interval: 86400
  lancidr:
    type: http
    behavior: ipcidr
    url: "https://fastly.jsdelivr.net/gh/Loyalsoldier/clash-rules@release/lancidr.txt"
    path: ./ruleset/lancidr.yaml
    interval: 86400
  applications:
    type: http
    behavior: classical
    url: "https://fastly.jsdelivr.net/gh/Loyalsoldier/clash-rules@release/applications.txt"
    path: ./ruleset/applications.yaml
    interval: 86400
  github:
    type: http
    behavior: domain
    url: "https://raw.gitmirror.com/ACL4SSR/ACL4SSR/master/Clash/Providers/Ruleset/Github.yaml"
    path: ./ruleset/github.yaml
    interval: 86400
  tiktok:
    type: http
    behavior: domain
    url: "https://raw.gitmirror.com/ACL4SSR/ACL4SSR/master/Clash/Providers/Ruleset/TikTok.yaml"
    path: ./ruleset/tiktok.yaml
    interval: 86400
rules:
  - AND,((NETWORK,UDP),(DST-PORT,443)),REJECT
  - DST-PORT,22,SB_SELECTED
  - DOMAIN,huggingface.co,SB_SELECTED
  - DOMAIN-SUFFIX,openai.com,GPT_SELECTED
  - DOMAIN-SUFFIX,anthropic.com,GPT_SELECTED
  - DOMAIN-KEYWORD,openai,GPT_SELECTED
  - DOMAIN-KEYWORD,chatgpt,GPT_SELECTED
  - DOMAIN-KEYWORD,claude,GPT_SELECTED
  - DOMAIN-SUFFIX,cursor.sh,GPT_SELECTED
  - DOMAIN-SUFFIX,servd-anthropic-website.b-cdn.net,GPT_SELECTED
  - DOMAIN-SUFFIX,anthropic.com,GPT_SELECTED
  - DOMAIN-SUFFIX,claude.ai,GPT_SELECTED
  - DOMAIN-SUFFIX,intercomcdn.com,GPT_SELECTED
  - DOMAIN-SUFFIX,cdn.usefathom.com,GPT_SELECTED
  - DOMAIN-SUFFIX,stripe.com,GPT_SELECTED
  - DOMAIN-KEYWORD,sora.com,GPT_SELECTED
  - DOMAIN-KEYWORD,grok,GPT_SELECTED
  - DOMAIN-KEYWORD,aistudio,GPT_SELECTED
  - DOMAIN-KEYWORD,youtube,YOUTUBE_SELECTED
  - DOMAIN-KEYWORD,google,GOOGLE_SELECTED
  - DOMAIN-KEYWORD,gemini,GOOGLE_SELECTED
  - DOMAIN-KEYWORD,discord,PG_AMERICA
  - DOMAIN-KEYWORD,us-api,PG_AMERICA
  - DOMAIN-KEYWORD,paypal,PG_AMERICA
  - DOMAIN-KEYWORD,paypa1,PG_AMERICA
  - DOMAIN-KEYWORD,reddit.com,REDDIT_SELECTED
  - DOMAIN-KEYWORD,avgle,PG_COLOR
  - DOMAIN-KEYWORD,porn,PG_COLOR
  - DOMAIN-KEYWORD,xvideo,PG_COLOR
  - DOMAIN-KEYWORD,xhamster,PG_COLOR
  - DOMAIN-SUFFIX,ycombinator.com,PROXY
  - DOMAIN-SUFFIX,distrowatch.com,PROXY
  - DOMAIN-SUFFIX,pypi.org,PROXY
  - DOMAIN-SUFFIX,pythonhosted.org,PROXY
  - DOMAIN-SUFFIX,nvidia.com,PROXY
  - DOMAIN-SUFFIX,tailscale.com,PROXY
  - DOMAIN-KEYWORD,time.windows.com,DIRECT
  - DOMAIN-SUFFIX,likezgq.top,DIRECT
  - DOMAIN-KEYWORD,ra2web.com,DIRECT
  - DOMAIN-KEYWORD,bun.sh.cn,DIRECT
  - DOMAIN-SUFFIX,kgithub.com,DIRECT
  - DOMAIN-KEYWORD,chronodivide.com,DIRECT
  - DOMAIN,clash.razord.top,DIRECT
  - DOMAIN,yacd.haishan.me,DIRECT
  - DOMAIN-SUFFIX,likezgq.pub,DIRECT
  - DOMAIN-SUFFIX,home.pub,DIRECT
  - DOMAIN-SUFFIX,lan,DIRECT
  - PROCESS-NAME,Tailscale.exe,DIRECT
  - PROCESS-NAME,Tailscale Service.exe,DIRECT
  - PROCESS-NAME,tailscaled.exe,DIRECT
  - PROCESS-NAME,tailscale-ipn.exe,DIRECT
  - PROCESS-NAME,tailscaled,DIRECT
  - PROCESS-NAME,Tailscale,DIRECT
  - RULE-SET,github,SB_SELECTED
  - RULE-SET,tiktok,PG_AMERICA
  - RULE-SET,applications,DIRECT
  - RULE-SET,private,DIRECT
  - RULE-SET,reject,REJECT
  - RULE-SET,icloud,DIRECT
  - RULE-SET,apple,DIRECT
  # - RULE-SET,google,DIRECT
  - RULE-SET,direct,DIRECT
  - RULE-SET,proxy,GPT_SELECTED
  - RULE-SET,telegramcidr,PROXY,no-resolve
  - IP-CIDR,104.27.80.65/32,DIRECT,no-resolve
  - IP-CIDR,104.16.29.191/32,DIRECT,no-resolve
  - IP-CIDR,141.101.115.236/32,DIRECT,no-resolve
  - IP-CIDR,172.64.93.84/32,DIRECT,no-resolve
  - IP-CIDR,142.171.94.73/32,DIRECT,no-resolve
  - IP-CIDR,100.64.0.0/10,DIRECT,no-resolve
  - RULE-SET,lancidr,DIRECT
  - RULE-SET,cncidr,DIRECT
  - GEOIP,LAN,DIRECT
  - GEOIP,CN,DIRECT
  - MATCH,GPT_SELECTED
find-process-mode: off
ipv6: true
external-ui: ui
external-ui-url: https://github.com/Zephyruso/zashboard/releases/latest/download/dist-cdn-fonts.zip
secret: "38169"
port: 8080
socks-port: 1080
redir-port: 7891
tproxy-port: 7892
tun:
  enable: true
  auto-route: false
  auto-redirect: false
  auto-detect-interface: false
  device: nikki
  stack: mixed
dns:
  enable: true
  listen: '[::]:1053'
  ipv6: true
  enhanced-mode: fake-ip
  fake-ip-range: 198.18.0.1/16
  fake-ip-filter:
    - +.lan
    - +.local
    - geosite:cn
    - +.home.arpa
  fake-ip-filter-mode: blacklist
  respect-rules: true
  default-nameserver:
    - 223.5.5.5
    - 223.6.6.6
  proxy-server-nameserver:
    - https://223.5.5.5/dns-query
    - https://223.6.6.6/dns-query
  nameserver:
    - 192.168.11.100
profile:
  store-selected: true
  store-fake-ip: true
geodata-mode: true
geodata-loader: standard
geox-url:
  geosite: https://cdn.jsdelivr.net/gh/Loyalsoldier/v2ray-rules-dat@release/geosite.dat
  geoip: https://cdn.jsdelivr.net/gh/Loyalsoldier/v2ray-rules-dat@release/geoip.dat
geo-auto-update: true
geo-update-interval: 24

